pchmidib
Prev | Orchestra Opcodes and Operators | Next

## pchmidib

pchmidib — Get the note number of the current MIDI event and modify it by the current pitch-bend value, express it in pitch-class units.

## Description

Get the note number of the current MIDI event and modify it by the current pitch-bend value, express it in pitch-class units.

## Syntax

    ipch pchmidib [irange]

    kpch pchmidib [irange]

## Initialization

irange (optional) -- the pitch bend range in semitones

## Performance

Get the note number of the current MIDI event, modify it by the current pitch-bend value, and express the result in pitch-class units. Available as an i-time value or as a continuous k-rate value.

## Examples

Here is an example of the pchmidib pchmidib. It uses the file pchmidib.csd.

Example 710. Example of the pchmidib pchmidib.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in   No messages  MIDI in
    -odac           -iadc     -d         -M0  ;;;RT audio I/O with MIDI in
    ; For Non-realtime ouput leave only the line below:
    ; -o pchmidib.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      ; This example expects MIDI note inputs on channel 1
      i1 pchmidib

      print i1
    endin

    </CsInstruments>
    <CsScore>

    ;Dummy f-table to give time for real-time MIDI events
    f 0 8000
    e

    </CsScore>
    </CsoundSynthesizer>

## See Also

aftouch, ampmidi, cpsmidi, cpsmidib, midictrl, notnum, octmidi, octmidib, pchbend, pchmidi, veloc

## Credits

Author: Barry L. Vercoe - Mike Berry
MIT - Mills
May 1997

Example written by Kevin Conder.

Prev | Up | Next
pchmidi | Home | pchmidinn